#
# spec file for package permissions
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lynis-report-converter
Version:        20181214
Release:        1.1
Summary:        Tool to convert lynis reports to different formats
License:        GPL-3.0-or-later
Group:          Productivity/Security
BuildArch: 	noarch
Url:            https://github.com/d4t4king/lynis-report-converter
Source:         lynis-report-converter-%{version}.tar.xz
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       htmldoc
Requires: 	perl-JSON
Requires: 	perl-Excel-Writer-XLSX
Requires: 	perl-XML-Writer
Requires:       perl-Archive-Zip
# We don't have that
#Requires:       HTML-HTMLDoc 
Recommends:     lynis

%description
Manageable report from lynis text output. Currently available report formats:
HTML, Microsoft Excel, JSON and XML.
PDF output is not working due to dependency issues

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/usr/bin
cp lynis-report-converter.pl %{buildroot}/usr/bin

%files
%{_bindir}/lynis-report-converter.pl 

%changelog
* Tue Feb 19 2019 jsegitz@suse.com
- Initial import. PDF export doesn't work
